Skip to main content
POST
/
v2
/
contacts
cURL
curl --request POST \
  --url https://api.eda.prisme.ai/v2/contacts \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "email": "<string>",
  "text": "<string>",
  "ids": [
    "<string>"
  ],
  "firstName": "<string>",
  "lastName": "<string>",
  "authProvider": "<string>",
  "status": "pending",
  "platformRole": "<string>",
  "groups": [
    "<string>"
  ],
  "includeOrgMembership": "<string>"
}
'
{
  "contacts": [
    {
      "firstName": "<string>",
      "lastName": "<string>",
      "language": "<string>",
      "photo": "<string>",
      "status": "pending",
      "meta": {},
      "groups": [
        "<string>"
      ],
      "membership": {
        "roleSlug": "<string>",
        "status": "active",
        "joinedAt": "<string>",
        "joinedVia": "direct",
        "invitedAt": "<string>",
        "invitedBy": "<string>"
      },
      "id": "<string>"
    }
  ],
  "size": 123
}

Documentation Index

Fetch the complete documentation index at: https://prismeai-docs-next.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page
number

Page number

limit
number

Page size

createdBefore
string

User signed up before that date (ISO8601), reserved to super admins

createdAfter
string

User signed up before that date (ISO8601), reserved to super admins

orgSlug
string

Filter users by organization slug, reserved to super admins / root

Body

application/json
email
string
text
string

Search in both email & id

ids
string[]
firstName
string
Pattern: ^[0-9A-Za-zÀ-ÖØ-öø-ÿ ,.'- ]{1,60}$
lastName
string
Pattern: ^[0-9A-Za-zÀ-ÖØ-öø-ÿ ,.'- ]{1,60}$
authProvider
string
status
enum<string>
Available options:
pending,
validated,
deactivated
platformRole
string
groups
string[]
includeOrgMembership
string

Org slug — enrich contacts with membership data from this org (requires super admin or org admin permissions)

Response

Success Response

contacts
object[]
required
size
number

Total number of matching contacts